Retrieve a store department
curl --request GET \
--url https://api.vori.com/v1/store-departments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vori.com/v1/store-departments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vori.com/v1/store-departments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"deactivated_at": "2023-11-07T05:31:56Z",
"exclude_from_sales_reporting": true,
"name": "<string>",
"parent_department_id": "<string>"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Departments
Retrieve a store department
Retrieve a store department
GET
/
v1
/
store-departments
/
{id}
Retrieve a store department
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9]+$Response
A grouping of products within a store, optionally nested under a parent department.
Unique identifier for the store department.
When the department was deactivated, or null when it is active.
Whether sales from this department are omitted from sales reporting.
Human-readable department name.
ID of the parent department, or null for a top-level department.
Was this page helpful?